Skip to main content
POST
/
v6
/
accounting
/
glAccounts
/
{id}
/
generalLedger
Query GL entries
curl --request POST \
  --url https://sandbox.tight.com/v6/accounting/glAccounts/{id}/generalLedger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "filter": {
    "beginDate": "2023-12-25",
    "endDate": "2023-12-25",
    "search": "<string>"
  }
}
'
{
  "data": [
    {
      "id": "glt_12345678",
      "entity": {
        "id": "btxn_158998869",
        "description": "Gusto payroll",
        "displayName": "Gusto",
        "glAccount": {}
      },
      "description": "Monthly payroll entry",
      "date": "2025-06-26",
      "runningBalance": 100000,
      "glAccount": {
        "id": "gla_38560327",
        "name": "Officer(s) Salaries and Wages",
        "accountNo": "60210",
        "type": "EXPENSE",
        "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
        "displayName": "#60210 Officer(s) Salaries and Wages"
      },
      "drAmount": 100000,
      "crAmount": 0,
      "type": "EXPENSE"
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  },
  "beginningBalance": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
filter
object

Filter for items in the response.

accountingMethod
enum<string>

Accounting method to generate the report in. Defaults to the company's configured accounting method.

Available options:
ACCRUAL,
CASH

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

beginningBalance
integer<int32>

Beginning balance in cents. Present on the first page when applicable; null on subsequent pages.